View Issue Details

IDProjectCategoryView StatusLast Update
07882Feature requests[All Projects] Survey designpublic2014-05-03 21:35
ReporterpmonstadAssigned ToSamulle 
PrioritynormalSeverity@50@ 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary07882: start day of week in date picker
Description

It should be possible to set the start day of week in the date picker. This is set to Sunday as default and there is no way to change this. Should be a global option with the possibility to change in advanced setting for a date picker question.

I guess you use the date picker from jquery so this should be quite easy to implement. Sorry to say my skills are too low to do it myself.

TagsNo tags attached.

Activities

mfaber

mfaber

2013-06-08 18:07

reporter   ~25478

Last edited: 2013-06-08 18:07

View 2 revisions

Before there's a switch implemented I think the start of the week should generally be Monday. It has confused some of my participants as well.

mfaber

mfaber

2013-06-08 18:35

reporter   ~25479

quickfix: change to monday, see pull request on github
(https://github.com/LimeSurvey/LimeSurvey/pull/88)

c_schmitz

c_schmitz

2013-06-13 11:28

administrator   ~25512

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12572

mfaber

mfaber

2013-07-09 11:07

reporter   ~25743

same for 2.05: see pull request at
https://github.com/LimeSurvey/LimeSurvey/pull/95

Samulle

Samulle

2013-09-11 13:59

reporter   ~26201

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12969

Related Changesets

LimeSurvey: master 6fe5970c

2013-06-13 09:28:25

c_schmitz

Details Diff
Merge pull request #88 from mfaber/firstday

Fixed issue 07882: Monday is now first day in calender (partial fix)
Affected Issues
07882
mod - scripts/date.js Diff File

LimeSurvey: 2.05 acbc3e0b

2013-06-24 17:07:57

mfaber


Committer: unknown Details Diff
Fixed issue 07882: Monday is now first day in calender (partial fix)

DEV: already done in master, see
https://github.com/LimeSurvey/LimeSurvey/pull/88
DEV: now the same in 2.05
Affected Issues
07882
mod - scripts/date.js Diff File

LimeSurvey: 2.05 2cfab3a2

2013-09-11 11:59:45

Samulle

Details Diff
Merge pull request #95 from mfaber/firstday205

Fixed issue 07882: Monday is now first day in calender (partial fix)
Affected Issues
07882
mod - scripts/date.js Diff File

Issue History

Date Modified Username Field Change
2013-05-27 07:58 pmonstad New Issue
2013-06-08 18:07 mfaber Note Added: 25478
2013-06-08 18:07 mfaber Note Edited: 25478 View Revisions
2013-06-08 18:35 mfaber Note Added: 25479
2013-06-13 11:28 c_schmitz Changeset attached => LimeSurvey master 6fe5970c
2013-06-13 11:28 c_schmitz Note Added: 25512
2013-06-13 11:28 c_schmitz Assigned To => c_schmitz
2013-06-13 11:28 c_schmitz Resolution open => fixed
2013-07-09 11:07 mfaber Note Added: 25743
2013-09-11 13:59 mfaber Changeset attached => LimeSurvey 2.05 acbc3e0b
2013-09-11 13:59 Samulle Changeset attached => LimeSurvey 2.05 2cfab3a2
2013-09-11 13:59 Samulle Note Added: 26201
2013-09-11 13:59 Samulle Assigned To c_schmitz => Samulle
2013-09-11 17:30 mfaber Status new => resolved
2014-05-03 21:35 c_schmitz Status resolved => closed